<!--    Ejercicio modificar DOM
    
        Teniendo una lista desordenada de elementos, poner un boton que permita
        añadir 2 elementos al final de ella: uno con contenido 'elemento de
        prueba', y otro con contenido 'texto de prueba', usar para incluir al
        segundo la propiedad innerHTML.

        Podeis hacer otra version, que añada lo que escribamos en un input de un
        formulario
-->

<!doctype html>
<html lang="es">

    <head>
        <meta charset="UTF-8">
        <title>Ejercicio modificar DOM</title>
        <style>:root{font-family: 'Inter', 'Segoe UI', sans-serif;}</style>
    </head>

    <body>
        <h1>Ejercicio modificar DOM</h1>

        <ul>
            <li>Elemento 1</li>
            <li>Elemento 2</li>
            <li>Elemento 3</li>
            <li>Elemento 4</li>
            <li>Elemento 5</li>
        </ul>

        <input type="text" id="element" placeholder="Elemento de prueba">
        <input type="text" id="text"    placeholder="Texto de prueba">
        <button onclick="addthething()">Añadir a la lista</button>

        <script>
            let elementValue = document.getElementById("element").value;
            let textValue    = document.getElementById("text").value;

            function addthething() {
                let newElement = document.createElement(elementValue);
                let newText    = document.createTextNode(textValue);

                newElement.after(newText);
                
                console.log('1 --------------------------------')
                console.log(`${elementValue}, ${newElement}`)

                console.log('2 --------------------------------')
                console.log(`${textValue}, ${newText}`)
            }
        </script>
    </body>

</html>